#!/bin/sh

# (re-)generate gnu-autotool-stuff so it also works for mingw crosscompile

aclocal

automake -a
# when linking, mingw-gcc wants the object-files prior to the libraries
patch <<EOT
--- Makefile.in.orig	2013-11-19 13:36:48.000000000 +0100
+++ Makefile.in	2013-11-19 13:34:00.000000000 +0100
@@ -60,6 +60,6 @@
 demo_OBJECTS = \$(am_demo_OBJECTS)
 am__DEPENDENCIES_1 =
-demo_LINK = \$(CCLD) \$(demo_CFLAGS) \$(CFLAGS) \$(demo_LDFLAGS) \\
-	\$(LDFLAGS) -o \$@
+demo_LINK = \$(CCLD) -o \$@ \$(demo_OBJECTS) \\
+	\$(demo_CFLAGS) \$(CFLAGS) \$(demo_LDFLAGS) \$(LDFLAGS)
 DEFAULT_INCLUDES = -I.@am__isrc@
 depcomp = \$(SHELL) \$(top_srcdir)/depcomp
@@ -369,5 +369,5 @@
 demo\$(EXEEXT): \$(demo_OBJECTS) \$(demo_DEPENDENCIES) \$(EXTRA_demo_DEPENDENCIES) 
 	@rm -f demo\$(EXEEXT)
-	\$(AM_V_CCLD)\$(demo_LINK) \$(demo_OBJECTS) \$(demo_LDADD) \$(LIBS)
+	\$(AM_V_CCLD)\$(demo_LINK) \$(demo_LDADD) \$(LIBS)
 
 mostlyclean-compile:
EOT

autoconf
